Subject: [trill] Followup Comments for TRILL OAM MIB (ietf 87 Meeting)

From: "Deepak Kumar (dekumar)" <[email-masked]>
Date: Fri, 18 Oct 2013 19:17:15 +0000

Hi,

Following Comments were raised at the IETF 87 meeting. Please see my reply below.

Q1. Is there a time stamp associated with last good flow?

Yes we have time stamp associated with all Flows and their state. Please see section 5.3.2.4 (trillOamMepDbTable, trillOamMepDbRmepFailedOkTime)

Q2. Motivation for having write MIB?

Objective is to have TRILL OAM MIB for alignment and consistency with the IEEE CFM MIB.
It's upto vendor to choose if they want to just implement read portion of the mib.

Q3. Should we have Augmentation MIB vs Extension?

IEEE CFM MIB has been augmented previously to add new functionality as it's done by MetroEthernet Forum (MEF 36) and it was agreed by ITU-T also.
In ietf we have multiple example of Augmented MIB RFC 4044, RFC 2578, RFC 3877, and RFC 3433.

One of the key advantage of having common OAM is users ability to do nested OAM. Nested OAM is initiated using a common management framework between different standards. IEEE 8021 committee, ITUT and MEF is already standardized the MIB as the management interface. Hence, augmenting the CFM MIB for TRILL is imperative to accomplish common OAM management framework across SDO.

Q4. What will happen for columns and objects that are not applicable to TRILL that we will inherit from CFM MIB?

Objects/Tables are not applicable to TRILL implementation will be handled by TRILL implementation backend and appropriate value(s) (to indicate not defined) will be returned.  -01 version will be updated to include this.

As an example  in TRILL we don't use Link Trace Message and Link Reply Message as defined in CFM, and instead use Path Trace Message and Path Trace Reply.
Link Trace Message initiation will be failed by backend and "dot1agCfmMepTransmitLtmResult" will be returned FALSE.

Ietf meeting Minutes link

http://www.ietf.org/proceedings/87/minutes/minutes-87-trill

Thanks,
Deepak

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 18 Oct 2013 13:24:19 -0700

Deepak and the authors,

Couple of comments inline.

> It's upto vendor to choose if they want to just implement read portion of the mib.
%sam - Just make sure you have the READ-ONLY compliance written for the MIB. 
> Link Trace Message initiation will be failed by backend and "dot1agCfmMepTransmitLtmResult" will be returned FALSE.
%sam - Any object in the parent MIB (CFM) which is not applicable, I believe there are default values to indicate the same. If so, this is not an issue, like you said. If not, you may want to add relevant text into the doc, which I believe 01 version is doing it.

-sam
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill